<?php
$config->version = '1.3.beta'; 

$config->framework->multiSite      = true;
$config->framework->extensionLevel = 2;    

if(RUN_MODE == 'admin')
{
    $config->menus->promote = 'tag,links';
    $config->menus->group   = 'portal,domain,node,upgradeSite,stat,setting';

    $menus = explode(',', $config->menus->group);
    foreach($menus as $menu)
    {   
        if($menu) $config->menuGroups->$menu = 'group';
    }   

    $config->multiEntrances[] = 'portal_admin';
    $config->multiEntrances[] = 'domain_admin';
    $config->multiEntrances[] = 'node_admin';
    $config->multiEntrances[] = 'setting_admin';
}

$config->freeDays = 30;
$config->apiKey   = '123456';

$config->langs = array();
$config->langs['zh-cn'] = '简体';
$config->site->modules  = 'article,domain,user,mall,product,stat';

/* Define the site table. */
if(!defined('TABLE_SITE'))         define('TABLE_SITE',         $config->db->prefix . 'site');
if(!defined('TABLE_SITEORDER'))    define('TABLE_SITEORDER',    $config->db->prefix . 'siteorder');
if(!defined('TABLE_STAT'))         define('TABLE_STAT',         $config->db->prefix . 'stat');
if(!defined('TABLE_USAGE'))        define('TABLE_USAGE',        $config->db->prefix . 'usage');
if(!defined('TABLE_NODE'))         define('TABLE_NODE',         $config->db->prefix . 'node');
if(!defined('TABLE_DOMAIN'))       define('TABLE_DOMAIN',       $config->db->prefix . 'domain');
if(!defined('TABLE_DOMAINRECORD')) define('TABLE_DOMAINRECORD', $config->db->prefix . 'domain_record');

$config->rights->guest['plan']['index']           = 'index';
$config->rights->guest['ui']['themes']            = 'themes';

/* plat rights . */
$config->rights->guest['portal']['start']         = 'start';
$config->rights->guest['portal']['redirectto']    = 'redirectto';
$config->rights->guest['portal']['processorder']  = 'processorder';
$config->rights->guest['portal']['notify']        = 'notify';
$config->rights->guest['portal']['createsite']    = 'createsite';

$config->rights->member['portal']['auth']               = 'auth';
$config->rights->member['portal']['open']               = 'open';
$config->rights->member['portal']['perfectsite']        = 'perfectsite';
$config->rights->member['portal']['sites']              = 'sites';
$config->rights->member['portal']['login']              = 'login';
$config->rights->member['portal']['reinstall']          = 'reinstall';
$config->rights->member['portal']['deletesite']         = 'deletesite';
$config->rights->member['portal']['changedomain']       = 'changedomain';
$config->rights->member['portal']['trafficdetail']      = 'trafficdetail';
$config->rights->member['portal']['renewsite']          = 'renewsite';
$config->rights->member['portal']['upgrade']            = 'upgrade';
$config->rights->member['portal']['degrade']            = 'degrade';
$config->rights->member['portal']['createorder']        = 'createorder';
$config->rights->member['portal']['ajaxcomputeprice']   = 'ajaxcomputeprice';
$config->rights->member['portal']['ajaxupgradedetails'] = 'ajaxupgradedetails';
$config->rights->member['portal']['payorder']           = 'payorder';
$config->rights->member['portal']['orders']             = 'payorder';
$config->rights->member['portal']['deleteorder']        = 'deleteorder';
$config->rights->member['portal']['resetadmin']         = 'resetadmin';

$filter->default->get['key'] = 'reg::md5';
$filter->default->get['trade_status'] = 'reg::word';
$filter->default->get['out_trade_no'] = 'reg::word';

$filter->user->admin->get['status'] = 'reg::character';

$filter->portal = new stdclass();
$filter->portal->start = new stdclass();
$filter->portal->start->get['domain'] = 'domain';

$filter->portal->admin = new stdclass();
$filter->portal->start->get['query'] = 'reg::/^[a-zA-Z0-9\.-\_]+$/';
$filter->portal->apigettoken->get['domain'] = 'domain';
$filter->portal->apigettoken->get['key']    = 'reg::word';
$filter->portal->apigetsitecode->get['key'] = 'reg::word';

$filter->stat = new stdclass();
$filter->stat->default = new stdclass();
$filter->stat->default->get['begin'] = 'reg::date';
$filter->stat->default->get['end']   = 'reg::date';
